--- title: "Operating Hours & Holidays" slug: "server-api-ticketing-operating-hours-and-holidays" updated: 2022-06-16T07:38:26Z published: 2022-06-16T07:38:26Z canonical: "developer.comm100.com/server-api-ticketing-operating-hours-and-holidays" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Operating Hours & Holidays ## Operating Hours & Holidays Working day and hour. - `Operating Hours & Holidays` - Operating Hours & Holidays Manage - `GET ticketing/workingHoursConfig` - [Get a single Operating Hours & Holidays](/docs/server-api-ticketing-operating-hours-and-holidays#get-a-single-operating-hours-&-holidays) - `PUT ticketing/workingHoursConfig` - [Update the Operating Hours & Holidays](/docs/server-api-ticketing-operating-hours-and-holidays#update-the-operating-hours-&-holidays) ### Operating Hours & Holidays JSON Format Operating Hours & Holidays is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `ifWorkOnSunday` | bool | Whether working on sunday or not. | | `ifWorkOnMonday` | bool | Whether working on monday or not. | | `ifWorkOnTuesday` | bool | Whether working on tuesday or not. | | `ifWorkOnWednesday` | bool | Whether working on wednesday or not. | | `ifWorkOnThursday` | bool | Whether working on thursday or not. | | `ifWorkOnFriday` | bool | Whether working on friday or not. | | `ifWorkOnSaturday` | bool | Whether working on saturday or not. | | `sundayStartTime` | time | Config start time. | | `sundayEndTime` | time | Config end time. | | `mondayStartTime` | time | Config start time. | | `mondayEndTime` | time | Config end time. | | `tuesdayStartTime` | time | Config start time. | | `tuesdayEndTime` | time | Config end time. | | `wednesdayStartTime` | time | Config start time. | | `wednesdayEndTime` | time | Config end time. | | `thursdayStartTime` | time | Config start time. | | `thursdayEndTime` | time | Config end time. | | `fridayStartTime` | time | Config start time. | | `fridayEndTime` | time | Config end time. | | `saturdayStartTime` | time | Config start time. | | `saturdayEndTime` | time | Config end time. | ### Get a single Operating Hours & Holidays `GET ticketing/workingHoursConfig` - #### Parameters: No Parameters - #### Response: [Operating Hours & Holidays](/docs/server-api-ticketing-operating-hours-and-holidays#operating-hours-&-holidays-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/ticketing/workingHoursConfig \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "ifWorkOnSunday": false, "ifWorkOnMonday": true, "ifWorkOnTuesday": true, "ifWorkOnWednesday": true, "ifWorkOnThursday": true, "ifWorkOnFriday": true, "ifWorkOnSaturday": false, "sundayStartTime": "09:00:00", "sundayEndTime": "17:00:00", "mondayStartTime": "09:00:00", "mondayEndTime": "17:00:00", "tuesdayStartTime": "09:00:00", "tuesdayEndTime": "17:00:00", "wednesdayStartTime": "09:00:00", "wednesdayEndTime": "17:00:00", "thursdayStartTime": "09:00:00", "thursdayEndTime": "17:00:00", "fridayStartTime": "09:00:00", "fridayEndTime": "17:00:00", "saturdayStartTime": "09:00:00", "saturdayEndTime": "17:00:00" } ``` ### Update the Operating Hours & Holidays `PUT ticketing/workingHoursConfig` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `ifWorkOnSunday` | bool | body | no | Whether working on sunday or not. | | `ifWorkOnMonday` | bool | body | no | Whether working on monday or not. | | `ifWorkOnTuesday` | bool | body | no | Whether working on tuesday or not. | | `ifWorkOnWednesday` | bool | body | no | Whether working on wednesday or not. | | `ifWorkOnThursday` | bool | body | no | Whether working on thursday or not. | | `ifWorkOnFriday` | bool | body | no | Whether working on friday or not. | | `ifWorkOnSaturday` | bool | body | no | Whether working on saturday or not. | | `sundayStartTime` | time | body | no | Config start time. | | `sundayEndTime` | time | body | no | Config end time. | | `mondayStartTime` | time | body | no | Config start time. | | `mondayEndTime` | time | body | no | Config end time. | | `tuesdayStartTime` | time | body | no | Config start time. | | `tuesdayEndTime` | time | body | no | Config end time. | | `wednesdayStartTime` | time | body | no | Config start time. | | `wednesdayEndTime` | time | body | no | Config end time. | | `thursdayStartTime` | time | body | no | Config start time. | | `thursdayEndTime` | time | body | no | Config end time. | | `fridayStartTime` | time | body | no | Config start time. | | `fridayEndTime` | time | body | no | Config end time. | | `saturdayStartTime` | time | body | no | Config start time. | | `saturdayEndTime` | time | body | no | Config end time. | - #### Response: [Operating Hours & Holidays](/docs/server-api-ticketing-operating-hours-and-holidays#operating-hours-&-holidays-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/ticketing/workingHoursConfig \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"ifWorkOnSunday":false,"ifWorkOnMonday":true,"ifWorkOnTuesday":true,"ifWorkOnWednesday":true,"ifWorkOnThursday":true,"ifWorkOnFriday":true,"ifWorkOnSaturday":false,"sundayStartTime":"09:00:00","sundayEndTime":"17:00:00","mondayStartTime":"09:00:00","mondayEndTime":"17:00:00","tuesdayStartTime":"09:00:00","tuesdayEndTime":"17:00:00","wednesdayStartTime":"09:00:00","wednesdayEndTime":"17:00:00","thursdayStartTime":"09:00:00","thursdayEndTime":"17:00:00","fridayStartTime":"09:00:00","fridayEndTime":"17:00:00","saturdayStartTime":"09:00:00","saturdayEndTime":"17:00:00"}' ``` Response: HTTP/1.1 200 OK ``` { "ifWorkOnSunday": false, "ifWorkOnMonday": true, "ifWorkOnTuesday": true, "ifWorkOnWednesday": true, "ifWorkOnThursday": true, "ifWorkOnFriday": true, "ifWorkOnSaturday": false, "sundayStartTime": "09:00:00", "sundayEndTime": "17:00:00", "mondayStartTime": "09:00:00", "mondayEndTime": "17:00:00", "tuesdayStartTime": "09:00:00", "tuesdayEndTime": "17:00:00", "wednesdayStartTime": "09:00:00", "wednesdayEndTime": "17:00:00", "thursdayStartTime": "09:00:00", "thursdayEndTime": "17:00:00", "fridayStartTime": "09:00:00", "fridayEndTime": "17:00:00", "saturdayStartTime": "09:00:00", "saturdayEndTime": "17:00:00" } ```